Skip to main content
POST
Create Card Hierarchy Group

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

cardHierarchyId
string<biginteger>
required

Card hierarchy id

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json
name
string
required

Name of the group

parentId
string<biginteger>
required

Id of the parent group

type
enum<string>
required

Only INTERMEDIATE and CARD are allowed here

Available options:
ROOT,
INTERMEDIATE,
CARD

Response

Card Hierarchy group successfully created

id
string<biginteger>
required

Generated id of the group

name
string
required

Name of the group

type
enum<string>
required

Type of the group

Available options:
ROOT,
INTERMEDIATE,
CARD
parentId
string<biginteger>

Id of the parent group